/*
 * Copyright (c) 2008-2010
 *	Nakata, Maho
 * 	All rights reserved.
 *
 * $Id: mpack_benchmark.h,v 1.4 2010/08/07 03:15:46 nakatamaho Exp $
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

gmp_randstate_t uniformrandomstate_mpfr;
mpreal randomnumber(mpreal dummy)
{
    mpreal mtmp;

    mtmp = urandomb(uniformrandomstate_mpfr);
    mtmp = 2.0 * mtmp - 1.0;

    return mtmp;
}

#define MLAPACK_REF_LIB    "libmlapack_mpfr_ref"
#define MBLAS_REF_LIB      "libmblas_mpfr_ref"

//mblas symbols
#define SYMBOL_GCC_CRROT		"_Z5CRrotlPN4mpfr9mpcomplexElS1_lNS_6mprealES2_"
#define SYMBOL_GCC_CRSCAL		"_Z6CRscallN4mpfr6mprealEPNS_9mpcomplexEl"
#define SYMBOL_GCC_CAXPY		"_Z5CaxpylN4mpfr9mpcomplexEPS0_lS1_l"
#define SYMBOL_GCC_CCOPY		"_Z5CcopylPN4mpfr9mpcomplexElS1_l"
#define SYMBOL_GCC_CDOTC		"_Z5CdotclPN4mpfr9mpcomplexElS1_l"
#define SYMBOL_GCC_CDOTU		"_Z5CdotulPN4mpfr9mpcomplexElS1_l"
#define SYMBOL_GCC_CGBMV		"_Z5CgbmvPKcllllN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CGEMM		"_Z5CgemmPKcS0_lllN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CGEMV		"_Z5CgemvPKcllN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CGERC		"_Z5CgercllN4mpfr9mpcomplexEPS0_lS1_lS1_l"
#define SYMBOL_GCC_CGERU		"_Z5CgerullN4mpfr9mpcomplexEPS0_lS1_lS1_l"
#define SYMBOL_GCC_CHBMV		"_Z5ChbmvPKcllN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CHEMM		"_Z5ChemmPKcS0_llN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CHEMV		"_Z5ChemvPKclN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CHER		"_Z4CherPKclN4mpfr6mprealEPNS1_9mpcomplexElS4_l"
#define SYMBOL_GCC_CHER2		"_Z5Cher2PKclN4mpfr9mpcomplexEPS2_lS3_lS3_l"
#define SYMBOL_GCC_CHER2K		"_Z6Cher2kPKcS0_llN4mpfr9mpcomplexEPS2_lS3_lNS1_6mprealES3_l"
#define SYMBOL_GCC_CHERK		"_Z5CherkPKcS0_llN4mpfr6mprealEPNS1_9mpcomplexElS2_S4_l"
#define SYMBOL_GCC_CHPMV		"_Z5ChpmvPKclN4mpfr9mpcomplexEPS2_S3_lS2_S3_l"
#define SYMBOL_GCC_CHPR		"_Z4ChprPKclN4mpfr6mprealEPNS1_9mpcomplexElS4_"
#define SYMBOL_GCC_CHPR2		"_Z5Chpr2PKclN4mpfr9mpcomplexEPS2_lS3_lS3_"
#define SYMBOL_GCC_CROTG		"_Z5CrotgPN4mpfr9mpcomplexES0_PNS_6mprealES1_"
#define SYMBOL_GCC_CSCAL		"_Z5CscallN4mpfr9mpcomplexEPS0_l"
#define SYMBOL_GCC_CSWAP		"_Z5CswaplPN4mpfr9mpcomplexElS1_l"
#define SYMBOL_GCC_CSYMM		"_Z5CsymmPKcS0_llN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CSYR2K		"_Z6Csyr2kPKcS0_llN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CSYRK		"_Z5CsyrkPKcS0_llN4mpfr9mpcomplexEPS2_lS2_S3_l"
#define SYMBOL_GCC_CTBMV		"_Z5CtbmvPKcS0_S0_llPN4mpfr9mpcomplexElS3_l"
#define SYMBOL_GCC_CTBSV		"_Z5CtbsvPKcS0_S0_llPN4mpfr9mpcomplexElS3_l"
#define SYMBOL_GCC_CTPMV		"_Z5CtpmvPKcS0_S0_lPN4mpfr9mpcomplexES3_l"
#define SYMBOL_GCC_CTPSV		"_Z5CtpsvPKcS0_S0_lPN4mpfr9mpcomplexES3_l"
#define SYMBOL_GCC_CTRMM		"_Z5CtrmmPKcS0_S0_S0_llN4mpfr9mpcomplexEPS2_lS3_l"
#define SYMBOL_GCC_CTRMV		"_Z5CtrmvPKcS0_S0_lPN4mpfr9mpcomplexElS3_l"
#define SYMBOL_GCC_CTRSM		"_Z5CtrsmPKcS0_S0_S0_llN4mpfr9mpcomplexEPS2_lS3_l"
#define SYMBOL_GCC_CTRSV		"_Z5CtrsvPKcS0_S0_lPN4mpfr9mpcomplexElS3_l"
#define SYMBOL_GCC_MLSAME		"_Z11Mlsame_mpfrPKcS0_"
#define SYMBOL_GCC_MXERBLA		"_Z12Mxerbla_mpfrPKci"
#define SYMBOL_GCC_RCABS1		"_Z6RCabs1N4mpfr9mpcomplexE"
#define SYMBOL_GCC_RCASUM		"_Z6RCasumlPN4mpfr9mpcomplexEl"
#define SYMBOL_GCC_RCNRM2		"_Z6RCnrm2lPN4mpfr9mpcomplexEl"
#define SYMBOL_GCC_RASUM		"_Z5RasumlPN4mpfr6mprealEl"
#define SYMBOL_GCC_RAXPY		"_Z5RaxpylN4mpfr6mprealEPS0_lS1_l"
#define SYMBOL_GCC_RCOPY		"_Z5RcopylPN4mpfr6mprealElS1_l"
#define SYMBOL_GCC_RDOT		"_Z4RdotlPN4mpfr6mprealElS1_l"
#define SYMBOL_GCC_RGBMV		"_Z5RgbmvPKcllllN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RGEMM		"_Z5RgemmPKcS0_lllN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RGEMV		"_Z5RgemvPKcllN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RGER		"_Z4RgerllN4mpfr6mprealEPS0_lS1_lS1_l"
#define SYMBOL_GCC_RNRM2		"_Z5Rnrm2lPN4mpfr6mprealEl"
#define SYMBOL_GCC_RROT		"_Z4RrotlPN4mpfr6mprealElS1_lS0_S0_"
#define SYMBOL_GCC_RROTG		"_Z5RrotgPN4mpfr6mprealES1_S1_S1_"
#define SYMBOL_GCC_RROTM		"_Z5RrotmlPN4mpfr6mprealElS1_lS1_"
#define SYMBOL_GCC_RROTMG		"_Z6RrotmgPN4mpfr6mprealES1_S1_S0_S1_"
#define SYMBOL_GCC_RSBMV		"_Z5RsbmvPKcllN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RSCAL		"_Z5RscallN4mpfr6mprealEPS0_l"
#define SYMBOL_GCC_RSET		"_Z4RsetlN4mpfr6mprealEPS0_l"
#define SYMBOL_GCC_RSPMV		"_Z5RspmvPKclN4mpfr6mprealEPS2_S3_lS2_S3_l"
#define SYMBOL_GCC_RSPR		"_Z4RsprPKclN4mpfr6mprealEPS2_lS3_"
#define SYMBOL_GCC_RSPR2		"_Z5Rspr2PKclN4mpfr6mprealEPS2_lS3_lS3_"
#define SYMBOL_GCC_RSWAP		"_Z5RswaplPN4mpfr6mprealElS1_l"
#define SYMBOL_GCC_RSYMM		"_Z5RsymmPKcS0_llN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RSYMV		"_Z5RsymvPKclN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RSYR		"_Z4RsyrPKclN4mpfr6mprealEPS2_lS3_l"
#define SYMBOL_GCC_RSYR2		"_Z5Rsyr2PKclN4mpfr6mprealEPS2_lS3_lS3_l"
#define SYMBOL_GCC_RSYR2K		"_Z6Rsyr2kPKcS0_llN4mpfr6mprealEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_RSYRK		"_Z5RsyrkPKcS0_llN4mpfr6mprealEPS2_lS2_S3_l"
#define SYMBOL_GCC_RTBMV		"_Z5RtbmvPKcS0_S0_llPN4mpfr6mprealElS3_l"
#define SYMBOL_GCC_RTBSV		"_Z5RtbsvPKcS0_S0_llPN4mpfr6mprealElS3_l"
#define SYMBOL_GCC_RTPMV		"_Z5RtpmvPKcS0_S0_lPN4mpfr6mprealES3_l"
#define SYMBOL_GCC_RTPSV		"_Z5RtpsvPKcS0_S0_lPN4mpfr6mprealES3_l"
#define SYMBOL_GCC_RTRMM		"_Z5RtrmmPKcS0_S0_S0_llN4mpfr6mprealEPS2_lS3_l"
#define SYMBOL_GCC_RTRMV		"_Z5RtrmvPKcS0_S0_lPN4mpfr6mprealElS3_l"
#define SYMBOL_GCC_RTRSM		"_Z5RtrsmPKcS0_S0_S0_llN4mpfr6mprealEPS2_lS3_l"
#define SYMBOL_GCC_RTRSV		"_Z5RtrsvPKcS0_S0_lPN4mpfr6mprealElS3_l"
#define SYMBOL_GCC_ICAMAX		"_Z6iCamaxlPN4mpfr9mpcomplexEl"
#define SYMBOL_GCC_IRAMAX		"_Z6iRamaxlPN4mpfr6mprealEl"

//mlapack symbols
#define SYMBOL_GCC_CRRSCL		"_Z6CRrscllN4mpfr6mprealEPNS_9mpcomplexEl"
#define SYMBOL_GCC_CBDSQR		"_Z6CbdsqrPKcllllPN4mpfr6mprealES3_PNS1_9mpcomplexElS5_lS5_lS3_Pl"
#define SYMBOL_GCC_CGBBRD		"_Z6CgbbrdPKclllllPN4mpfr9mpcomplexElPNS1_6mprealES5_S3_lS3_lS3_lS3_S5_Pl"
#define SYMBOL_GCC_CGBCON		"_Z6CgbconPKclllPN4mpfr9mpcomplexElPlNS1_6mprealEPS5_S3_S6_S4_"
#define SYMBOL_GCC_CGBEQU		"_Z6CgbequllllPN4mpfr9mpcomplexElPNS_6mprealES3_S3_S3_S3_Pl"
#define SYMBOL_GCC_CGBRFS		"_Z6CgbrfsPKcllllPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CGBSV		"_Z5CgbsvllllPN4mpfr9mpcomplexElPlS1_lS2_"
#define SYMBOL_GCC_CGBSVX		"_Z6CgbsvxPKcS0_llllPN4mpfr9mpcomplexElS3_lPlPcPNS1_6mprealES7_S3_lS3_lS7_S7_S7_S3_S7_S4_"
#define SYMBOL_GCC_CGBTF2		"_Z6Cgbtf2llllPN4mpfr9mpcomplexElPlS2_"
#define SYMBOL_GCC_CGBTRF		"_Z6CgbtrfllllPN4mpfr9mpcomplexElPlS2_"
#define SYMBOL_GCC_CGBTRS		"_Z6CgbtrsPKcllllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CGEBAK		"_Z6CgebakPKcS0_lllPN4mpfr6mprealElPNS1_9mpcomplexElPl"
#define SYMBOL_GCC_CGEBAL		"_Z6CgebalPKclPN4mpfr9mpcomplexElPlS4_PNS1_6mprealES4_"
#define SYMBOL_GCC_CGEBD2		"_Z6Cgebd2llPN4mpfr9mpcomplexElPNS_6mprealES3_S1_S1_S1_Pl"
#define SYMBOL_GCC_CGEBRD		"_Z6CgebrdllPN4mpfr9mpcomplexElPNS_6mprealES3_S1_S1_S1_lPl"
#define SYMBOL_GCC_CGECON		"_Z6CgeconPKclPN4mpfr9mpcomplexElNS1_6mprealEPS4_S3_S5_Pl"
#define SYMBOL_GCC_CGEEQU		"_Z6CgeequllPN4mpfr9mpcomplexElPNS_6mprealES3_S3_S3_S3_Pl"
#define SYMBOL_GCC_CGEES		"_Z5CgeesPKcS0_PFlzElPN4mpfr9mpcomplexElPlS5_S5_lS5_lPNS3_6mprealES6_S6_"
#define SYMBOL_GCC_CGEESX		"_Z6CgeesxPKcS0_PFlzES0_lPN4mpfr9mpcomplexElPlS5_S5_lPNS3_6mprealES8_S5_lS8_S6_S6_"
#define SYMBOL_GCC_CGEEV		"_Z5CgeevPKcS0_lPN4mpfr9mpcomplexElS3_S3_lS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CGEEVX		"_Z6CgeevxPKcS0_S0_S0_lPN4mpfr9mpcomplexElS3_S3_lS3_lPlS4_PNS1_6mprealES6_S6_S6_S3_lS6_S4_"
#define SYMBOL_GCC_CGEGS		"_Z5CgegsPKcS0_lPN4mpfr9mpcomplexElS3_lS3_S3_S3_lS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CGEGV		"_Z5CgegvPKcS0_lPN4mpfr9mpcomplexElS3_lS3_S3_S3_lS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CGEHD2		"_Z6Cgehd2lllPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CGEHRD		"_Z6CgehrdlllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CGELQ2		"_Z6Cgelq2llPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CGELQF		"_Z6CgelqfllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CGELS		"_Z5CgelsPKclllPN4mpfr9mpcomplexElS3_lS3_lPl"
#define SYMBOL_GCC_CGELSD		"_Z6CgelsdlllPN4mpfr9mpcomplexElS1_lPNS_6mprealES2_PlS1_lS3_S4_S4_"
#define SYMBOL_GCC_CGELSS		"_Z6CgelsslllPN4mpfr9mpcomplexElS1_lPNS_6mprealES2_PlS1_lS3_S4_"
#define SYMBOL_GCC_CGELSX		"_Z6CgelsxlllPN4mpfr9mpcomplexElS1_lPlNS_6mprealES2_S1_PS3_S2_"
#define SYMBOL_GCC_CGELSY		"_Z6CgelsylllPN4mpfr9mpcomplexElS1_lPlNS_6mprealES2_S1_lPS3_S2_"
#define SYMBOL_GCC_CGEQL2		"_Z6Cgeql2llPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CGEQLF		"_Z6CgeqlfllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CGEQP3		"_Z6Cgeqp3llPN4mpfr9mpcomplexElPlS1_S1_lPNS_6mprealES2_"
#define SYMBOL_GCC_CGEQPF		"_Z6CgeqpfllPN4mpfr9mpcomplexElPlS1_S1_PNS_6mprealES2_"
#define SYMBOL_GCC_CGEQR2		"_Z6Cgeqr2llPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CGEQRF		"_Z6CgeqrfllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CGERFS		"_Z6CgerfsPKcllPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CGERQ2		"_Z6Cgerq2llPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CGERQF		"_Z6CgerqfllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CGESC2		"_Z6Cgesc2lPN4mpfr9mpcomplexElS1_PlS2_PNS_6mprealE"
#define SYMBOL_GCC_CGESDD		"_Z6CgesddPKcllPN4mpfr9mpcomplexElPNS1_6mprealES3_lS3_lS3_lS5_PlS6_"
#define SYMBOL_GCC_CGESV		"_Z5CgesvllPN4mpfr9mpcomplexElPlS1_lS2_"
#define SYMBOL_GCC_CGESVD		"_Z6CgesvdPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealES3_lS3_lS3_lS5_Pl"
#define SYMBOL_GCC_CGESVX		"_Z6CgesvxPKcS0_llPN4mpfr9mpcomplexElS3_lPlPcPNS1_6mprealES7_S3_lS3_lS7_S7_S7_S3_S7_S4_"
#define SYMBOL_GCC_CGETC2		"_Z6Cgetc2lPN4mpfr9mpcomplexElPlS2_S2_"
#define SYMBOL_GCC_CGETF2		"_Z6Cgetf2llPN4mpfr9mpcomplexElPlS2_"
#define SYMBOL_GCC_CGETRF		"_Z6CgetrfllPN4mpfr9mpcomplexElPlS2_"
#define SYMBOL_GCC_CGETRI		"_Z6CgetrilPN4mpfr9mpcomplexElPlS1_lS2_"
#define SYMBOL_GCC_CGETRS		"_Z6CgetrsPKcllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CGGBAK		"_Z6CggbakPKcS0_lllPN4mpfr6mprealES3_lPNS1_9mpcomplexElPl"
#define SYMBOL_GCC_CGGBAL		"_Z6CggbalPKclPN4mpfr9mpcomplexElS3_lPlS4_PNS1_6mprealES6_S6_S4_"
#define SYMBOL_GCC_CGGES		"_Z5CggesPKcS0_S0_PFlzElPN4mpfr9mpcomplexElS5_lPlS5_S5_S5_lS5_lS5_lPNS3_6mprealES6_S6_"
#define SYMBOL_GCC_CGGESX		"_Z6CggesxPKcS0_S0_PFlzES0_lPN4mpfr9mpcomplexElS5_lPlS5_S5_S5_lS5_lPNS3_6mprealES8_S5_lS8_S6_lS6_S6_"
#define SYMBOL_GCC_CGGEV		"_Z5CggevPKcS0_lPN4mpfr9mpcomplexElS3_lS3_S3_S3_lS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CGGEVX		"_Z6CggevxPKcS0_S0_S0_lPN4mpfr9mpcomplexElS3_lS3_S3_S3_lS3_lPlS4_PNS1_6mprealES6_S6_S6_S6_S6_S3_lS6_S4_S4_S4_"
#define SYMBOL_GCC_CGGGLM		"_Z6CggglmlllPN4mpfr9mpcomplexElS1_lS1_S1_S1_S1_lPl"
#define SYMBOL_GCC_CGGHRD		"_Z6CgghrdPKcS0_lllPN4mpfr9mpcomplexElS3_lS3_lS3_lPl"
#define SYMBOL_GCC_CGGLSE		"_Z6CgglselllPN4mpfr9mpcomplexElS1_lS1_S1_S1_S1_lPl"
#define SYMBOL_GCC_CGGQRF		"_Z6CggqrflllPN4mpfr9mpcomplexElS1_S1_lS1_S1_lPl"
#define SYMBOL_GCC_CGGRQF		"_Z6CggrqflllPN4mpfr9mpcomplexElS1_S1_lS1_S1_lPl"
#define SYMBOL_GCC_CGGSVD		"_Z6CggsvdPKcS0_S0_lllPlS1_PN4mpfr9mpcomplexElS4_lPNS2_6mprealES6_S4_lS4_lS4_lS4_S6_S1_S1_"
#define SYMBOL_GCC_CGGSVP		"_Z6CggsvpPKcS0_S0_lllPN4mpfr9mpcomplexElS3_lNS1_6mprealES4_PlS5_S3_lS3_lS3_lS5_PS4_S3_S3_S5_"
#define SYMBOL_GCC_CGTCON		"_Z6CgtconPKclPN4mpfr9mpcomplexES3_S3_S3_PlNS1_6mprealEPS5_S3_S4_"
#define SYMBOL_GCC_CGTRFS		"_Z6CgtrfsPKcllPN4mpfr9mpcomplexES3_S3_S3_S3_S3_S3_PlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CGTSV		"_Z5CgtsvllPN4mpfr9mpcomplexES1_S1_S1_lPl"
#define SYMBOL_GCC_CGTSVX		"_Z6CgtsvxPKcS0_llPN4mpfr9mpcomplexES3_S3_S3_S3_S3_S3_PlS3_lS3_lPNS1_6mprealES6_S6_S3_S6_S4_"
#define SYMBOL_GCC_CGTTRF		"_Z6CgttrflPN4mpfr9mpcomplexES1_S1_S1_PlS2_"
#define SYMBOL_GCC_CGTTRS		"_Z6CgttrsPKcllPN4mpfr9mpcomplexES3_S3_S3_PlS3_lS4_"
#define SYMBOL_GCC_CGTTS2		"_Z6Cgtts2lllPN4mpfr9mpcomplexES1_S1_S1_PlS1_l"
#define SYMBOL_GCC_CHBEV		"_Z5ChbevPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealES3_lS3_S5_Pl"
#define SYMBOL_GCC_CHBEVD		"_Z6ChbevdPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealES3_lS3_lS5_lPllS6_"
#define SYMBOL_GCC_CHBEVX		"_Z6ChbevxPKcS0_S0_llPN4mpfr9mpcomplexElS3_lNS1_6mprealES4_llS4_PlPS4_S3_lS3_S6_S5_S5_S5_"
#define SYMBOL_GCC_CHBGST		"_Z6ChbgstPKcS0_lllPN4mpfr9mpcomplexElS3_lS3_lS3_PNS1_6mprealEPl"
#define SYMBOL_GCC_CHBGV		"_Z5ChbgvPKcS0_lllPN4mpfr9mpcomplexElS3_lPNS1_6mprealES3_lS3_S5_Pl"
#define SYMBOL_GCC_CHBGVD		"_Z6ChbgvdPKcS0_lllPN4mpfr9mpcomplexElS3_lPNS1_6mprealES3_lS3_lS5_lPllS6_"
#define SYMBOL_GCC_CHBGVX		"_Z6ChbgvxPKcS0_S0_lllPN4mpfr9mpcomplexElS3_lS3_lNS1_6mprealES4_llS4_PlPS4_S3_lS3_S6_S5_S5_S5_"
#define SYMBOL_GCC_CHBTRD		"_Z6ChbtrdPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealES5_S3_lS3_Pl"
#define SYMBOL_GCC_CHECON		"_Z6CheconPKclPN4mpfr9mpcomplexElPlNS1_6mprealEPS5_S3_S4_"
#define SYMBOL_GCC_CHEEV		"_Z5CheevPKcS0_lPN4mpfr9mpcomplexElPNS1_6mprealES3_lS5_Pl"
#define SYMBOL_GCC_CHEEVD		"_Z6CheevdPKcS0_lPN4mpfr9mpcomplexElPNS1_6mprealES3_lS5_lPllS6_"
#define SYMBOL_GCC_CHEEVR		"_Z6CheevrPKcS0_S0_lPN4mpfr9mpcomplexElNS1_6mprealES4_llS4_PlPS4_S3_lS5_S3_lS6_lS5_lS5_"
#define SYMBOL_GCC_CHEEVX		"_Z6CheevxPKcS0_S0_lPN4mpfr9mpcomplexElNS1_6mprealES4_llS4_PlPS4_S3_lS3_lS6_S5_S5_S5_"
#define SYMBOL_GCC_CHEGS2		"_Z6Chegs2lPKclPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CHEGST		"_Z6ChegstlPKclPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CHEGV		"_Z5ChegvPlPKcS1_lPN4mpfr9mpcomplexElS4_lPNS2_6mprealES4_lS6_S_"
#define SYMBOL_GCC_CHEGVD		"_Z6ChegvdlPKcS0_lPN4mpfr9mpcomplexElS3_lPNS1_6mprealES3_lS5_lPllS6_"
#define SYMBOL_GCC_CHEGVX		"_Z6ChegvxlPKcS0_S0_lPN4mpfr9mpcomplexElS3_lNS1_6mprealES4_llS4_PlPS4_S3_lS3_lS6_S5_S5_S5_"
#define SYMBOL_GCC_CHERFS		"_Z6CherfsPKcllPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CHESV		"_Z5ChesvPKcllPN4mpfr9mpcomplexElPlS3_lS3_lS4_"
#define SYMBOL_GCC_CHESVX		"_Z6ChesvxPKcS0_llPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S6_S3_lS6_S4_"
#define SYMBOL_GCC_CHETD2		"_Z6Chetd2PKclPN4mpfr9mpcomplexElPNS1_6mprealES5_S3_Pl"
#define SYMBOL_GCC_CHETF2		"_Z6Chetf2PKclPN4mpfr9mpcomplexElPlS4_"
#define SYMBOL_GCC_CHETRD		"_Z6ChetrdPKclPN4mpfr9mpcomplexElPNS1_6mprealES5_S3_S3_lPl"
#define SYMBOL_GCC_CHETRF		"_Z6ChetrfPKclPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CHETRI		"_Z6ChetriPKclPN4mpfr9mpcomplexElPlS3_S4_"
#define SYMBOL_GCC_CHETRS		"_Z6ChetrsPKcllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CHGEQZ		"_Z6ChgeqzPKcS0_S0_lllPN4mpfr9mpcomplexElS3_lS3_S3_S3_lS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CHPCON		"_Z6ChpconPKclPN4mpfr9mpcomplexEPlNS1_6mprealEPS5_S3_S4_"
#define SYMBOL_GCC_CHPEV		"_Z5ChpevPKcS0_lPN4mpfr9mpcomplexEPNS1_6mprealES3_lS3_S5_Pl"
#define SYMBOL_GCC_CHPEVD		"_Z6ChpevdPKcS0_lPN4mpfr9mpcomplexEPNS1_6mprealES3_lS3_lS5_lPllS6_"
#define SYMBOL_GCC_CHPEVX		"_Z6ChpevxPKcS0_S0_lPN4mpfr9mpcomplexENS1_6mprealES4_llS4_PlPS4_S3_lS3_S6_S5_S5_S5_"
#define SYMBOL_GCC_CHPGST		"_Z6ChpgstPlPKclPN4mpfr9mpcomplexES4_S_"
#define SYMBOL_GCC_CHPGV		"_Z5ChpgvPlPKcS1_lPN4mpfr9mpcomplexES4_PNS2_6mprealES4_lS4_S6_S_"
#define SYMBOL_GCC_CHPGVD		"_Z6ChpgvdlPKcS0_lPN4mpfr9mpcomplexES3_PNS1_6mprealES3_lS3_lS5_lPllS6_"
#define SYMBOL_GCC_CHPGVX		"_Z6ChpgvxlPKcPcS0_lPN4mpfr9mpcomplexES4_NS2_6mprealES5_llS5_PlPS5_S4_lS4_S7_S6_S6_S6_"
#define SYMBOL_GCC_CHPRFS		"_Z6ChprfsPKcllPN4mpfr9mpcomplexES3_PlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CHPSV		"_Z5ChpsvPKcllPN4mpfr9mpcomplexEPlS3_lS4_"
#define SYMBOL_GCC_CHPSVX		"_Z6ChpsvxPKcS0_llPN4mpfr9mpcomplexES3_PlS3_lS3_lPNS1_6mprealES6_S6_S3_S6_S4_"
#define SYMBOL_GCC_CHPTRD		"_Z6ChptrdPKclPN4mpfr9mpcomplexEPNS1_6mprealES5_S3_Pl"
#define SYMBOL_GCC_CHPTRF		"_Z6ChptrfPKclPN4mpfr9mpcomplexEPlS4_"
#define SYMBOL_GCC_CHPTRI		"_Z6ChptriPKclPN4mpfr9mpcomplexEPlS3_S4_"
#define SYMBOL_GCC_CHPTRS		"_Z6ChptrsPKcllPN4mpfr9mpcomplexEPlS3_lS4_"
#define SYMBOL_GCC_CHSEIN		"_Z6ChseinPKcS0_S0_PllPN4mpfr9mpcomplexElS4_S4_lS4_llS1_S4_PNS2_6mprealES1_S1_S1_"
#define SYMBOL_GCC_CHSEQR		"_Z6ChseqrPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CLABRD		"_Z6ClabrdlllPN4mpfr9mpcomplexElPNS_6mprealES3_S1_S1_S1_lS1_l"
#define SYMBOL_GCC_CLACGV		"_Z6ClacgvlPN4mpfr9mpcomplexEl"
#define SYMBOL_GCC_CLACN2		"_Z6Clacn2lPN4mpfr9mpcomplexES1_PNS_6mprealEPlS4_"
#define SYMBOL_GCC_CLACP2		"_Z6Clacp2PKcllPN4mpfr6mprealElPNS1_9mpcomplexEl"
#define SYMBOL_GCC_CLACPY		"_Z6ClacpyPKcllPN4mpfr9mpcomplexElS3_l"
#define SYMBOL_GCC_CLACRM		"_Z6ClacrmllPN4mpfr9mpcomplexElPNS_6mprealElS1_lS3_"
#define SYMBOL_GCC_CLACRT		"_Z6ClacrtlPN4mpfr9mpcomplexElS1_lS0_S0_"
#define SYMBOL_GCC_CLADIV		"_Z6CladivN4mpfr9mpcomplexES0_"
#define SYMBOL_GCC_CLAED0		"_Z6Claed0llPN4mpfr6mprealES1_PNS_9mpcomplexElS3_lS1_PlS4_"
#define SYMBOL_GCC_CLAED7		"_Z6Claed7llllllPN4mpfr6mprealEPNS_9mpcomplexElS0_PlS1_S4_S4_S4_S4_S4_S1_S3_S1_S4_S4_"
#define SYMBOL_GCC_CLAED8		"_Z6Claed8PlllPN4mpfr9mpcomplexElPNS0_6mprealES4_lS4_S4_S2_lS4_S_S_S_S_S_S_S4_S_"
#define SYMBOL_GCC_CLAEIN		"_Z6ClaeinlllPN4mpfr9mpcomplexElS0_S1_S1_lPNS_6mprealES2_S2_Pl"
#define SYMBOL_GCC_CLAESY		"_Z6ClaesyN4mpfr9mpcomplexES0_S0_PS0_S1_S1_S1_S1_"
#define SYMBOL_GCC_CLAEV2		"_Z6Claev2N4mpfr9mpcomplexES0_S0_PNS_6mprealES2_S2_PS0_"
#define SYMBOL_GCC_CLAGS2		"_Z6Clags2PlN4mpfr6mprealENS0_9mpcomplexES1_S1_S2_S1_PS1_PS2_S3_S4_S3_S4_"
#define SYMBOL_GCC_CLAGTM		"_Z6ClagtmPKcllN4mpfr6mprealEPNS1_9mpcomplexES4_S4_S4_lS2_S4_l"
#define SYMBOL_GCC_CLAHEF		"_Z6ClahefPKclllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CLAHQR		"_Z6ClahqrlllllPN4mpfr9mpcomplexElS1_llS1_lPl"
#define SYMBOL_GCC_CLAHR2		"_Z6Clahr2lllPN4mpfr9mpcomplexElS1_S1_lS1_l"
#define SYMBOL_GCC_CLAHRD		"_Z6ClahrdlllPN4mpfr9mpcomplexElS1_S1_lS1_l"
#define SYMBOL_GCC_CLAIC1		"_Z6Claic1llPN4mpfr9mpcomplexENS_6mprealES1_S0_PS2_S1_S1_"
#define SYMBOL_GCC_CLALS0		"_Z6Clals0lllllPN4mpfr9mpcomplexElS1_lPllS2_lPNS_6mprealElS4_S4_S4_S4_lS3_S3_S4_S2_"
#define SYMBOL_GCC_CLALSA		"_Z6ClalsallllPN4mpfr9mpcomplexElS1_lPNS_6mprealElS3_PlS3_S3_S3_S3_S4_S4_lS4_S3_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_CLALSD		"_Z6ClalsdPKclllPN4mpfr6mprealES3_PNS1_9mpcomplexElS2_PlS5_S3_S6_S6_"
#define SYMBOL_GCC_CLANGB		"_Z6ClangbPKclllPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANGE		"_Z6ClangePKcllPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANGT		"_Z6ClangtPKclPN4mpfr9mpcomplexES3_S3_"
#define SYMBOL_GCC_CLANHB		"_Z6ClanhbPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANHE		"_Z6ClanhePKcS0_lPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANHP		"_Z6ClanhpPKcS0_lPN4mpfr9mpcomplexEPNS1_6mprealE"
#define SYMBOL_GCC_CLANHS		"_Z6ClanhsPKclPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANHT		"_Z6ClanhtPKclPN4mpfr6mprealEPNS1_9mpcomplexE"
#define SYMBOL_GCC_CLANSB		"_Z6ClansbPKcS0_llPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANSP		"_Z6ClanspPKcS0_lPN4mpfr9mpcomplexEPNS1_6mprealE"
#define SYMBOL_GCC_CLANSY		"_Z6ClansyPKcS0_lPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANTB		"_Z6ClantbPKcS0_S0_llPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLANTP		"_Z6ClantpPKcS0_S0_lPN4mpfr9mpcomplexEPNS1_6mprealE"
#define SYMBOL_GCC_CLANTR		"_Z6ClantrPKcS0_S0_llPN4mpfr9mpcomplexElPNS1_6mprealE"
#define SYMBOL_GCC_CLAPLL		"_Z6ClaplllPN4mpfr9mpcomplexElS1_lPNS_6mprealE"
#define SYMBOL_GCC_CLAPMT		"_Z6ClapmtPlllPN4mpfr9mpcomplexElS_"
#define SYMBOL_GCC_CLAQGB		"_Z6ClaqgbllllPN4mpfr9mpcomplexElPNS_6mprealES3_S2_S2_S2_Pc"
#define SYMBOL_GCC_CLAQGE		"_Z6ClaqgellPN4mpfr9mpcomplexElPNS_6mprealES3_S2_S2_S2_Pc"
#define SYMBOL_GCC_CLAQHB		"_Z6ClaqhbPKcllPN4mpfr9mpcomplexElPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAQHE		"_Z6ClaqhePKclPN4mpfr9mpcomplexElPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAQHP		"_Z6ClaqhpPKclPN4mpfr9mpcomplexEPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAQP2		"_Z6Claqp2lllPN4mpfr9mpcomplexElPlS1_PNS_6mprealES4_S1_"
#define SYMBOL_GCC_CLAQPS		"_Z6ClaqpsllllPlPN4mpfr9mpcomplexElS_S2_PNS0_6mprealES4_S2_S2_l"
#define SYMBOL_GCC_CLAQR0		"_Z6Claqr0lllllPN4mpfr9mpcomplexElS1_PlS2_S1_lS1_lS2_"
#define SYMBOL_GCC_CLAQR1		"_Z6Claqr1lPN4mpfr9mpcomplexElS0_S0_S1_"
#define SYMBOL_GCC_CLAQR2		"_Z6Claqr2llllllPN4mpfr9mpcomplexElllS1_lPlS2_S1_S1_llS1_llS1_lS1_l"
#define SYMBOL_GCC_CLAQR3		"_Z6Claqr3llllllPN4mpfr9mpcomplexElllS1_lPlS2_S1_S1_llS1_llS1_lS1_l"
#define SYMBOL_GCC_CLAQR4		"_Z6Claqr4lllllPN4mpfr9mpcomplexElS1_llS1_lS1_lPl"
#define SYMBOL_GCC_CLAQR5		"_Z6Claqr5lllllllPN4mpfr9mpcomplexES1_lllS1_lS1_lS1_llS1_llS1_l"
#define SYMBOL_GCC_CLAQSB		"_Z6ClaqsbPKcllPN4mpfr9mpcomplexElPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAQSP		"_Z6ClaqspPKclPN4mpfr9mpcomplexEPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAQSY		"_Z6ClaqsyPKclPN4mpfr9mpcomplexElPNS1_6mprealES4_S4_Pc"
#define SYMBOL_GCC_CLAR1V		"_Z6Clar1vlllN4mpfr6mprealEPS0_S1_S1_S1_S0_S0_PNS_9mpcomplexElPlS1_S1_S4_S4_S1_S1_S1_S1_"
#define SYMBOL_GCC_CLAR2V		"_Z6Clar2vlPN4mpfr9mpcomplexES1_S1_lPNS_6mprealES1_l"
#define SYMBOL_GCC_CLARCM		"_Z6ClarcmllPN4mpfr6mprealElPNS_9mpcomplexElS3_lS1_"
#define SYMBOL_GCC_CLARF		"_Z5ClarfPKcllPN4mpfr9mpcomplexElS2_S3_lS3_"
#define SYMBOL_GCC_CLARFB		"_Z6ClarfbPKcS0_S0_S0_lllPN4mpfr9mpcomplexElS3_lS3_lS3_l"
#define SYMBOL_GCC_CLARFG		"_Z6ClarfglPN4mpfr9mpcomplexES1_lS1_"
#define SYMBOL_GCC_CLARFT		"_Z6ClarftPKcS0_llPN4mpfr9mpcomplexElS3_S3_l"
#define SYMBOL_GCC_CLARFX		"_Z6ClarfxPKcllPN4mpfr9mpcomplexES2_S3_lS3_"
#define SYMBOL_GCC_CLARGV		"_Z6ClargvlPN4mpfr9mpcomplexElS1_lPNS_6mprealEl"
#define SYMBOL_GCC_CLARNV		"_Z6ClarnvlPllPN4mpfr9mpcomplexE"
#define SYMBOL_GCC_CLARRV		"_Z6ClarrvlN4mpfr6mprealES0_PS0_S1_S0_PllllS0_S0_S0_S1_S1_S1_S2_S2_S1_PNS_9mpcomplexElS2_S1_S2_S2_"
#define SYMBOL_GCC_CLARTG		"_Z6ClartgN4mpfr9mpcomplexES0_PNS_6mprealEPS0_S3_"
#define SYMBOL_GCC_CLARTV		"_Z6ClartvlPN4mpfr9mpcomplexElS1_lPNS_6mprealES1_l"
#define SYMBOL_GCC_CLARZ		"_Z5ClarzPKclllPN4mpfr9mpcomplexElS2_S3_lS3_"
#define SYMBOL_GCC_CLARZB		"_Z6ClarzbPKcS0_S0_S0_llllPN4mpfr9mpcomplexElS3_lS3_lS3_l"
#define SYMBOL_GCC_CLARZT		"_Z6ClarztPKcS0_llPN4mpfr9mpcomplexElS3_S3_l"
#define SYMBOL_GCC_CLASCL		"_Z6ClasclPKcllN4mpfr6mprealES2_llPNS1_9mpcomplexElPl"
#define SYMBOL_GCC_CLASET		"_Z6ClasetPKcllN4mpfr9mpcomplexES2_PS2_l"
#define SYMBOL_GCC_CLASR		"_Z5ClasrPKcS0_S0_llPN4mpfr6mprealES3_PNS1_9mpcomplexEl"
#define SYMBOL_GCC_CLASSQ		"_Z6ClassqlPN4mpfr9mpcomplexElPNS_6mprealES3_"
#define SYMBOL_GCC_CLASWP		"_Z6ClaswplPN4mpfr9mpcomplexElllPll"
#define SYMBOL_GCC_CLASYF		"_Z6ClasyfPKclllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CLATBS		"_Z6ClatbsPKcS0_S0_S0_llPN4mpfr9mpcomplexElS3_PNS1_6mprealES5_Pl"
#define SYMBOL_GCC_CLATDF		"_Z6ClatdfllPN4mpfr9mpcomplexElS1_PNS_6mprealES3_PlS4_"
#define SYMBOL_GCC_CLATPS		"_Z6ClatpsPKcS0_S0_S0_lPN4mpfr9mpcomplexES3_PNS1_6mprealES5_Pl"
#define SYMBOL_GCC_CLATRD		"_Z6ClatrdPKcllPN4mpfr9mpcomplexElPNS1_6mprealES3_S3_l"
#define SYMBOL_GCC_CLATRS		"_Z6ClatrsPKcS0_S0_S0_lPN4mpfr9mpcomplexElS3_PNS1_6mprealES5_Pl"
#define SYMBOL_GCC_CLATRZ		"_Z6ClatrzlllPN4mpfr9mpcomplexElS1_S1_"
#define SYMBOL_GCC_CLATZM		"_Z6ClatzmPKcllPN4mpfr9mpcomplexElS3_S3_S3_lS3_"
#define SYMBOL_GCC_CLAUU2		"_Z6Clauu2PKclPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CLAUUM		"_Z6ClauumPKclPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPBCON		"_Z6CpbconPKcllPN4mpfr9mpcomplexElNS1_6mprealEPS4_S3_S5_Pl"
#define SYMBOL_GCC_CPBEQU		"_Z6CpbequPKcllPN4mpfr9mpcomplexElPNS1_6mprealES5_S5_Pl"
#define SYMBOL_GCC_CPBRFS		"_Z6CpbrfsPKclllPN4mpfr9mpcomplexElS3_lS3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CPBSTF		"_Z6CpbstfPKcllPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPBSV		"_Z5CpbsvPKclllPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CPBSVX		"_Z6CpbsvxPKcS0_lllPN4mpfr9mpcomplexElS3_lPcPNS1_6mprealES3_lS3_lS6_S6_S6_S3_S6_Pl"
#define SYMBOL_GCC_CPBTF2		"_Z6Cpbtf2PKcllPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPBTRF		"_Z6CpbtrfPKcllPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPBTRS		"_Z6CpbtrsPKclllPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CPOCON		"_Z6CpoconPKclPN4mpfr9mpcomplexElNS1_6mprealEPS4_S3_S5_Pl"
#define SYMBOL_GCC_CPOEQU		"_Z6CpoequlPN4mpfr9mpcomplexElPNS_6mprealES3_S3_Pl"
#define SYMBOL_GCC_CPORFS		"_Z6CporfsPKcllPN4mpfr9mpcomplexElS3_lS3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CPOSV		"_Z5CposvPKcllPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CPOSVX		"_Z6CposvxPKcS0_llPN4mpfr9mpcomplexElS3_lPcPNS1_6mprealES3_lS3_lS6_S6_S6_S3_S6_Pl"
#define SYMBOL_GCC_CPOTF2		"_Z6Cpotf2PKclPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPOTRF		"_Z6CpotrfPKclPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPOTRI		"_Z6CpotriPKclPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CPOTRS		"_Z6CpotrsPKcllPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CPPCON		"_Z6CppconPKclPN4mpfr9mpcomplexEPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CPPEQU		"_Z6CppequPKclPN4mpfr9mpcomplexEPNS1_6mprealES5_S5_Pl"
#define SYMBOL_GCC_CPPRFS		"_Z6CpprfsPKcllPN4mpfr9mpcomplexES3_S3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CPPSV		"_Z5CppsvPKcllPN4mpfr9mpcomplexES3_lPl"
#define SYMBOL_GCC_CPPSVX		"_Z6CppsvxPKcS0_llPN4mpfr9mpcomplexES3_PcPNS1_6mprealES3_lS3_lS6_S6_S6_S3_S6_Pl"
#define SYMBOL_GCC_CPPTRF		"_Z6CpptrfPKclPN4mpfr9mpcomplexEPl"
#define SYMBOL_GCC_CPPTRI		"_Z6CpptriPKclPN4mpfr9mpcomplexEPl"
#define SYMBOL_GCC_CPPTRS		"_Z6CpptrsPKcllPN4mpfr9mpcomplexES3_lPl"
#define SYMBOL_GCC_CPTCON		"_Z6CptconlPN4mpfr6mprealEPNS_9mpcomplexES0_S1_S1_Pl"
#define SYMBOL_GCC_CPTEQR		"_Z6CpteqrPKclPN4mpfr6mprealES3_PNS1_9mpcomplexElS3_Pl"
#define SYMBOL_GCC_CPTRFS		"_Z6CptrfsPKcllPN4mpfr6mprealEPNS1_9mpcomplexES3_S5_S5_lS5_lS3_S3_S5_S3_Pl"
#define SYMBOL_GCC_CPTSV		"_Z5CptsvllPN4mpfr6mprealEPNS_9mpcomplexES3_lPl"
#define SYMBOL_GCC_CPTSVX		"_Z6CptsvxPKcllPN4mpfr6mprealEPNS1_9mpcomplexES3_S5_S5_lS5_lS3_S3_S3_S5_S3_Pl"
#define SYMBOL_GCC_CPTTRF		"_Z6CpttrflPN4mpfr6mprealEPNS_9mpcomplexEPl"
#define SYMBOL_GCC_CPTTRS		"_Z6CpttrsPKcllPN4mpfr6mprealEPNS1_9mpcomplexES5_lPl"
#define SYMBOL_GCC_CPTTS2		"_Z6Cptts2lllPN4mpfr6mprealEPNS_9mpcomplexES3_l"
#define SYMBOL_GCC_CROT		"_Z4CrotlPN4mpfr9mpcomplexElS1_lNS_6mprealES0_"
#define SYMBOL_GCC_CSPCON		"_Z6CspconPKclPN4mpfr9mpcomplexEPlNS1_6mprealEPS5_S3_S4_"
#define SYMBOL_GCC_CSPMV		"_Z5CspmvPKclN4mpfr9mpcomplexEPS2_S3_lS2_S3_l"
#define SYMBOL_GCC_CSPR		"_Z4CsprPKclN4mpfr9mpcomplexEPS2_lS3_"
#define SYMBOL_GCC_CSPRFS		"_Z6CsprfsPKcllPN4mpfr9mpcomplexES3_PlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CSPSV		"_Z5CspsvPKcllPN4mpfr9mpcomplexEPlS3_lS4_"
#define SYMBOL_GCC_CSPSVX		"_Z6CspsvxPKcS0_llPN4mpfr9mpcomplexES3_PlS3_lS3_lPNS1_6mprealES6_S6_S3_S6_S4_"
#define SYMBOL_GCC_CSPTRF		"_Z6CsptrfPKclPN4mpfr9mpcomplexEPlS4_"
#define SYMBOL_GCC_CSPTRI		"_Z6CsptriPKclPN4mpfr9mpcomplexEPlS3_S4_"
#define SYMBOL_GCC_CSPTRS		"_Z6CsptrsPKcllPN4mpfr9mpcomplexEPlS3_lS4_"
#define SYMBOL_GCC_CSTEDC		"_Z6CstedcPKclPN4mpfr6mprealES3_PNS1_9mpcomplexElS5_lS3_lPllS6_"
#define SYMBOL_GCC_CSTEGR		"_Z6CstegrPKcS0_lPN4mpfr6mprealES3_S3_S3_PlS4_S3_lS3_PNS1_9mpcomplexElS4_S3_lS4_lS4_"
#define SYMBOL_GCC_CSTEIN		"_Z6CsteinlPN4mpfr6mprealES1_lS1_PlS2_PNS_9mpcomplexElS1_S2_S2_S2_"
#define SYMBOL_GCC_CSTEMR		"_Z6CstemrPKcS0_lPN4mpfr6mprealES3_S2_S2_llPlS3_PNS1_9mpcomplexEllS4_S4_S3_lS4_lS4_"
#define SYMBOL_GCC_CSTEQR		"_Z6CsteqrPKclPN4mpfr6mprealES3_PNS1_9mpcomplexElS3_Pl"
#define SYMBOL_GCC_CSYCON		"_Z6CsyconPKclPN4mpfr9mpcomplexElPlNS1_6mprealEPS5_S3_S4_"
#define SYMBOL_GCC_CSYMV		"_Z5CsymvPKclN4mpfr9mpcomplexEPS2_lS3_lS2_S3_l"
#define SYMBOL_GCC_CSYR		"_Z4CsyrPKclN4mpfr9mpcomplexEPS2_lS3_l"
#define SYMBOL_GCC_CSYRFS		"_Z6CsyrfsPKcllPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S3_S6_S4_"
#define SYMBOL_GCC_CSYSV		"_Z5CsysvPKcllPN4mpfr9mpcomplexElPlS3_lS3_lS4_"
#define SYMBOL_GCC_CSYSVX		"_Z6CsysvxPKcS0_llPN4mpfr9mpcomplexElS3_lPlS3_lS3_lPNS1_6mprealES6_S6_S3_lS6_S4_"
#define SYMBOL_GCC_CSYTF2		"_Z6Csytf2PKclPN4mpfr9mpcomplexElPlS4_"
#define SYMBOL_GCC_CSYTRF		"_Z6CsytrfPKclPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CSYTRI		"_Z6CsytriPKclPN4mpfr9mpcomplexElPlS3_S4_"
#define SYMBOL_GCC_CSYTRS		"_Z6CsytrsPKcllPN4mpfr9mpcomplexElPlS3_lS4_"
#define SYMBOL_GCC_CTBCON		"_Z6CtbconPKcS0_S0_llPN4mpfr9mpcomplexElPNS1_6mprealES3_S5_Pl"
#define SYMBOL_GCC_CTBRFS		"_Z6CtbrfsPKcS0_S0_lllPN4mpfr9mpcomplexElS3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CTBTRS		"_Z6CtbtrsPKcS0_S0_lllPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CTGEVC		"_Z6CtgevcPKcS0_PllPN4mpfr9mpcomplexElS4_lS4_lS4_llS1_S4_PNS2_6mprealES1_"
#define SYMBOL_GCC_CTGEX2		"_Z6Ctgex2lllPN4mpfr9mpcomplexElS1_lS1_lS1_llPl"
#define SYMBOL_GCC_CTGEXC		"_Z6CtgexclllPN4mpfr9mpcomplexElS1_lS1_lS1_llPlS2_"
#define SYMBOL_GCC_CTGSEN		"_Z6CtgsenlllPllPN4mpfr9mpcomplexElS2_lS2_S2_S2_lS2_lS_PNS0_6mprealES4_S4_S2_lS_lS_"
#define SYMBOL_GCC_CTGSJA		"_Z6CtgsjaPKcS0_S0_lllllPN4mpfr9mpcomplexElS3_lNS1_6mprealES4_PS4_S5_S3_lS3_lS3_lS3_PlS6_"
#define SYMBOL_GCC_CTGSNA		"_Z6CtgsnaPKcS0_PllPN4mpfr9mpcomplexElS4_lS4_lS4_lPNS2_6mprealES6_lS1_S4_lS1_S1_"
#define SYMBOL_GCC_CTGSY2		"_Z6Ctgsy2PKclllPN4mpfr9mpcomplexElS3_lS3_lS3_lS3_lS3_lPNS1_6mprealES5_S5_Pl"
#define SYMBOL_GCC_CTGSYL		"_Z6CtgsylPKclllPN4mpfr9mpcomplexElS3_lS3_lS3_lS3_lS3_lPNS1_6mprealES5_S3_lPlS6_"
#define SYMBOL_GCC_CTPCON		"_Z6CtpconPKcS0_S0_lPN4mpfr9mpcomplexEPNS1_6mprealES3_S5_Pl"
#define SYMBOL_GCC_CTPRFS		"_Z6CtprfsPKcS0_S0_llPN4mpfr9mpcomplexES3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CTPTRI		"_Z6CtptriPKcS0_lPN4mpfr9mpcomplexEPl"
#define SYMBOL_GCC_CTPTRS		"_Z6CtptrsPKcS0_S0_llPN4mpfr9mpcomplexES3_lPl"
#define SYMBOL_GCC_CTRCON		"_Z6CtrconPKcS0_S0_lPN4mpfr9mpcomplexElPNS1_6mprealES3_S5_Pl"
#define SYMBOL_GCC_CTREVC		"_Z6CtrevcPKcS0_PllPN4mpfr9mpcomplexElS4_lS4_llS1_S4_PNS2_6mprealES1_"
#define SYMBOL_GCC_CTREXC		"_Z6CtrexcPKclPN4mpfr9mpcomplexElS3_lllPl"
#define SYMBOL_GCC_CTRRFS		"_Z6CtrrfsPKcS0_S0_llPN4mpfr9mpcomplexElS3_lS3_lPNS1_6mprealES5_S3_S5_Pl"
#define SYMBOL_GCC_CTRSEN		"_Z6CtrsenPKcS0_PllPN4mpfr9mpcomplexElS4_lS4_lPNS2_6mprealES6_S4_lS1_"
#define SYMBOL_GCC_CTRSNA		"_Z6CtrsnaPKcS0_PllPN4mpfr9mpcomplexElS4_lS4_lPNS2_6mprealES6_lS1_S4_lS6_S1_"
#define SYMBOL_GCC_CTRSYL		"_Z6CtrsylPKcS0_lllPN4mpfr9mpcomplexElS3_lS3_lPNS1_6mprealEPl"
#define SYMBOL_GCC_CTRTI2		"_Z6Ctrti2PKcS0_lPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CTRTRI		"_Z6CtrtriPKcS0_lPN4mpfr9mpcomplexElPl"
#define SYMBOL_GCC_CTRTRS		"_Z6CtrtrsPKcS0_S0_llPN4mpfr9mpcomplexElS3_lPl"
#define SYMBOL_GCC_CTZRQF		"_Z6CtzrqfllPN4mpfr9mpcomplexElS1_Pl"
#define SYMBOL_GCC_CTZRZF		"_Z6CtzrzfllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNG2L		"_Z6Cung2llllPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CUNG2R		"_Z6Cung2rlllPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CUNGBR		"_Z6CungbrPKclllPN4mpfr9mpcomplexElS3_S3_lPl"
#define SYMBOL_GCC_CUNGHR		"_Z6CunghrlllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNGL2		"_Z6Cungl2lllPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CUNGLQ		"_Z6CunglqlllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNGQL		"_Z6CungqllllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNGQR		"_Z6CungqrlllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNGR2		"_Z6Cungr2lllPN4mpfr9mpcomplexElS1_S1_Pl"
#define SYMBOL_GCC_CUNGRQ		"_Z6CungrqlllPN4mpfr9mpcomplexElS1_S1_lPl"
#define SYMBOL_GCC_CUNGTR		"_Z6CungtrPKclPN4mpfr9mpcomplexElS3_S3_lPl"
#define SYMBOL_GCC_CUNM2L		"_Z6Cunm2lPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_Pl"
#define SYMBOL_GCC_CUNM2R		"_Z6Cunm2rPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_Pl"
#define SYMBOL_GCC_CUNMBR		"_Z6CunmbrPKcS0_S0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMHR		"_Z6CunmhrPKcS0_llllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNML2		"_Z6Cunml2PKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_Pl"
#define SYMBOL_GCC_CUNMLQ		"_Z6CunmlqPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMQL		"_Z6CunmqlPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMQR		"_Z6CunmqrPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMR2		"_Z6Cunmr2PKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_Pl"
#define SYMBOL_GCC_CUNMR3		"_Z6Cunmr3PKcS0_llllPN4mpfr9mpcomplexElS3_S3_lS3_Pl"
#define SYMBOL_GCC_CUNMRQ		"_Z6CunmrqPKcS0_lllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMRZ		"_Z6CunmrzPKcS0_llllPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUNMTR		"_Z6CunmtrPKcS0_S0_llPN4mpfr9mpcomplexElS3_S3_lS3_lPl"
#define SYMBOL_GCC_CUPGTR		"_Z6CupgtrPKclPN4mpfr9mpcomplexES3_S3_lS3_Pl"
#define SYMBOL_GCC_CUPMTR		"_Z6CupmtrPKcS0_S0_llPN4mpfr9mpcomplexES3_S3_lS3_Pl"
#define SYMBOL_GCC_RCSUM1		"_Z6RCsum1lPN4mpfr9mpcomplexEl"
#define SYMBOL_GCC_RBDSDC		"_Z6RbdsdcPKcS0_lPN4mpfr6mprealES3_S3_lS3_lS3_PlS3_S4_S4_"
#define SYMBOL_GCC_RBDSQR		"_Z6RbdsqrPKcllllPN4mpfr6mprealES3_S3_lS3_lS3_lS3_Pl"
#define SYMBOL_GCC_RDISNA		"_Z6RdisnaPKcllPN4mpfr6mprealES3_Pl"
#define SYMBOL_GCC_RGBBRD		"_Z6RgbbrdPKclllllPN4mpfr6mprealElS3_S3_S3_lS3_lS3_lS3_Pl"
#define SYMBOL_GCC_RGBCON		"_Z6RgbconPKclllPN4mpfr6mprealElPlS2_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGBEQU		"_Z6RgbequllllPN4mpfr6mprealElS1_S1_S1_S1_S1_Pl"
#define SYMBOL_GCC_RGBRFS		"_Z6RgbrfsPKcllllPN4mpfr6mprealElS3_lPlS3_lS3_lS3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGBSV		"_Z5RgbsvllllPN4mpfr6mprealElPlS1_lS2_"
#define SYMBOL_GCC_RGBSVX		"_Z6RgbsvxPKcS0_llllPN4mpfr6mprealElS3_lPlPcS3_S3_S3_lS3_lS3_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGBTF2		"_Z6Rgbtf2llllPN4mpfr6mprealElPlS2_"
#define SYMBOL_GCC_RGBTRF		"_Z6RgbtrfllllPN4mpfr6mprealElPlS2_"
#define SYMBOL_GCC_RGBTRS		"_Z6RgbtrsPKcllllPN4mpfr6mprealElPlS3_lS4_"
#define SYMBOL_GCC_RGEBAK		"_Z6RgebakPKcS0_lllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RGEBAL		"_Z6RgebalPKclPN4mpfr6mprealElPlS4_S3_S4_"
#define SYMBOL_GCC_RGEBD2		"_Z6Rgebd2llPN4mpfr6mprealElS1_S1_S1_S1_S1_Pl"
#define SYMBOL_GCC_RGEBRD		"_Z6RgebrdllPN4mpfr6mprealElS1_S1_S1_S1_S1_lPl"
#define SYMBOL_GCC_RGECON		"_Z6RgeconPKclPN4mpfr6mprealElS2_S3_S3_PlS4_"
#define SYMBOL_GCC_RGEEQU		"_Z6RgeequllPN4mpfr6mprealElS1_S1_S1_S1_S1_Pl"
#define SYMBOL_GCC_RGEES		"_Z5RgeesPKcS0_PFlzElPN4mpfr6mprealElPlS5_S5_S5_lS5_lS6_S6_"
#define SYMBOL_GCC_RGEESX		"_Z6RgeesxPKcS0_PFlzES0_lPN4mpfr6mprealElPlS5_S5_S5_lS5_S5_S5_lS6_lS6_S6_"
#define SYMBOL_GCC_RGEEV		"_Z5RgeevPKcS0_lPN4mpfr6mprealElS3_S3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGEEVX		"_Z6RgeevxPKcS0_S0_S0_lPN4mpfr6mprealElS3_S3_S3_lS3_lPlS4_S3_S3_S3_S3_S3_lS4_S4_"
#define SYMBOL_GCC_RGEGS		"_Z5RgegsPKcS0_lPN4mpfr6mprealElS3_lS3_S3_S3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGEGV		"_Z5RgegvPKcS0_lPN4mpfr6mprealElS3_lS3_S3_S3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGEHD2		"_Z6Rgehd2lllPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RGEHRD		"_Z6RgehrdlllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RGELQ2		"_Z6Rgelq2llPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RGELQF		"_Z6RgelqfllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RGELS		"_Z5RgelsPKclllPN4mpfr6mprealElS3_lS3_lPl"
#define SYMBOL_GCC_RGELSD		"_Z6RgelsdlllPN4mpfr6mprealElS1_lS1_S1_PlS1_lS2_S2_"
#define SYMBOL_GCC_RGELSS		"_Z6RgelsslllPN4mpfr6mprealElS1_lS1_S0_PlS1_lS2_"
#define SYMBOL_GCC_RGELSX		"_Z6RgelsxlllPN4mpfr6mprealElS1_lPlS0_S2_S1_S2_"
#define SYMBOL_GCC_RGELSY		"_Z6RgelsylllPN4mpfr6mprealElS1_lPlS0_S2_S1_lS2_"
#define SYMBOL_GCC_RGEQL2		"_Z6Rgeql2llPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RGEQLF		"_Z6RgeqlfllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RGEQP3		"_Z6Rgeqp3llPN4mpfr6mprealElPlS1_S1_lS2_"
#define SYMBOL_GCC_RGEQPF		"_Z6RgeqpfllPN4mpfr6mprealElPlS1_S1_S2_"
#define SYMBOL_GCC_RGEQR2		"_Z6Rgeqr2llPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RGEQRF		"_Z6RgeqrfllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RGERFS		"_Z6RgerfsPKcllPN4mpfr6mprealElS3_lPlS3_lS3_lS3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGERQ2		"_Z6Rgerq2llPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RGERQF		"_Z6RgerqfllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RGESC2		"_Z6Rgesc2lPN4mpfr6mprealElS1_PlS2_S1_"
#define SYMBOL_GCC_RGESDD		"_Z6RgesddPKcllPN4mpfr6mprealElS3_S3_lS3_lS3_lPlS4_"
#define SYMBOL_GCC_RGESV		"_Z5RgesvllPN4mpfr6mprealElPlS1_lS2_"
#define SYMBOL_GCC_RGESVD		"_Z6RgesvdPKcS0_llPN4mpfr6mprealElS3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGESVX		"_Z6RgesvxPKcS0_llPN4mpfr6mprealElS3_lPlPcS3_S3_S3_lS3_lS3_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGETC2		"_Z6Rgetc2lPN4mpfr6mprealElPlS2_S2_"
#define SYMBOL_GCC_RGETF2		"_Z6Rgetf2llPN4mpfr6mprealElPlS2_"
#define SYMBOL_GCC_RGETRF		"_Z6RgetrfllPN4mpfr6mprealElPlS2_"
#define SYMBOL_GCC_RGETRI		"_Z6RgetrilPN4mpfr6mprealElPlS1_lS2_"
#define SYMBOL_GCC_RGETRS		"_Z6RgetrsPKcllPN4mpfr6mprealElPlS3_lS4_"
#define SYMBOL_GCC_RGGBAK		"_Z6RggbakPKcS0_lllPN4mpfr6mprealES3_lS3_lPl"
#define SYMBOL_GCC_RGGBAL		"_Z6RggbalPKclPN4mpfr6mprealElS3_lPlS4_S3_S3_S3_S4_"
#define SYMBOL_GCC_RGGES		"_Z5RggesPKcS0_S0_PFlzElPN4mpfr6mprealElS5_lPlS5_S5_S5_S5_lS5_lS5_lS6_S6_"
#define SYMBOL_GCC_RGGESX		"_Z6RggesxPKcS0_S0_PFlzES0_lPN4mpfr6mprealElS5_lPlS5_S5_S5_S5_lS5_lS5_S5_S5_lS6_lS6_S6_"
#define SYMBOL_GCC_RGGEV		"_Z5RggevPKcS0_lPN4mpfr6mprealElS3_lS3_S3_S3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGGEVX		"_Z6RggevxPKcS0_S0_S0_lPN4mpfr6mprealElS3_lS3_S3_S3_S3_lS3_lPlS4_S3_S3_S3_S3_S3_S3_S3_lS4_S4_S4_"
#define SYMBOL_GCC_RGGGLM		"_Z6RggglmlllPN4mpfr6mprealElS1_lS1_S1_S1_S1_lPl"
#define SYMBOL_GCC_RGGHRD		"_Z6RgghrdPKcS0_lllPN4mpfr6mprealElS3_lS3_lS3_lPl"
#define SYMBOL_GCC_RGGLSE		"_Z6RgglselllPN4mpfr6mprealElS1_lS1_S1_S1_S1_lPl"
#define SYMBOL_GCC_RGGQRF		"_Z6RggqrflllPN4mpfr6mprealElS1_S1_lS1_S1_lPl"
#define SYMBOL_GCC_RGGRQF		"_Z6RggrqflllPN4mpfr6mprealElS1_S1_lS1_S1_lPl"
#define SYMBOL_GCC_RGGSVD		"_Z6RggsvdPKcS0_S0_lllPlS1_PN4mpfr6mprealElS4_lS4_S4_S4_lS4_lS4_lS4_S1_S1_"
#define SYMBOL_GCC_RGGSVP		"_Z6RggsvpPKcS0_S0_lllPN4mpfr6mprealElS3_lS2_S2_PlS4_S3_lS3_lS3_lS4_S3_S3_S4_"
#define SYMBOL_GCC_RGTCON		"_Z6RgtconPKclPN4mpfr6mprealES3_S3_S3_PlS2_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGTRFS		"_Z6RgtrfsPKcllPN4mpfr6mprealES3_S3_S3_S3_S3_S3_PlS3_lS3_lS3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGTSV		"_Z5RgtsvllPN4mpfr6mprealES1_S1_S1_lPl"
#define SYMBOL_GCC_RGTSVX		"_Z6RgtsvxPKcS0_llPN4mpfr6mprealES3_S3_S3_S3_S3_S3_PlS3_lS3_lS3_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RGTTRF		"_Z6RgttrflPN4mpfr6mprealES1_S1_S1_PlS2_"
#define SYMBOL_GCC_RGTTRS		"_Z6RgttrsPKcllPN4mpfr6mprealES3_S3_S3_PlS3_lS4_"
#define SYMBOL_GCC_RGTTS2		"_Z6Rgtts2lllPN4mpfr6mprealES1_S1_S1_PlS1_l"
#define SYMBOL_GCC_RHGEQZ		"_Z6RhgeqzPKcS0_S0_lllPN4mpfr6mprealElS3_lS3_S3_S3_S3_lS3_lS3_lPl"
#define SYMBOL_GCC_RHSEIN		"_Z6RhseinPKcS0_S0_PllPN4mpfr6mprealElS4_S4_S4_lS4_lllS4_S1_S1_S1_"
#define SYMBOL_GCC_RHSEQR		"_Z6RhseqrPKcS0_lllPN4mpfr6mprealElS3_S3_S3_lS3_lPl"
#define SYMBOL_GCC_RISNAN		"_Z6RisnanN4mpfr6mprealE"
#define SYMBOL_GCC_RLABRD		"_Z6RlabrdlllPN4mpfr6mprealElS1_S1_S1_S1_S1_lS1_l"
#define SYMBOL_GCC_RLACN2		"_Z6Rlacn2lPN4mpfr6mprealES1_PlS1_S2_S2_"
#define SYMBOL_GCC_RLACPY		"_Z6RlacpyPKcllPN4mpfr6mprealElS3_l"
#define SYMBOL_GCC_RLADIV		"_Z6RladivN4mpfr6mprealES0_S0_S0_PS0_S1_"
#define SYMBOL_GCC_RLAE2		"_Z5Rlae2N4mpfr6mprealES0_S0_PS0_S1_"
#define SYMBOL_GCC_RLAEBZ		"_Z6RlaebzllllllN4mpfr6mprealES0_S0_PS0_S1_S1_PlS1_S1_S2_S2_S1_S2_S2_"
#define SYMBOL_GCC_RLAED0		"_Z6Rlaed0lllPN4mpfr6mprealES1_S1_lS1_lS1_PlS2_"
#define SYMBOL_GCC_RLAED1		"_Z6Rlaed1lPN4mpfr6mprealES1_lPlS0_lS1_S2_S2_"
#define SYMBOL_GCC_RLAED2		"_Z6Rlaed2PlllPN4mpfr6mprealES2_lS_S2_S2_S2_S2_S2_S_S_S_S_S_"
#define SYMBOL_GCC_RLAED3		"_Z6Rlaed3lllPN4mpfr6mprealES1_lS1_S1_S1_PlS2_S1_S1_S2_"
#define SYMBOL_GCC_RLAED4		"_Z6Rlaed4llPN4mpfr6mprealES1_S1_S0_S1_Pl"
#define SYMBOL_GCC_RLAED5		"_Z6Rlaed5lPN4mpfr6mprealES1_S1_S0_S1_"
#define SYMBOL_GCC_RLAED6		"_Z6Rlaed6llN4mpfr6mprealEPS0_S1_S1_S1_Pl"
#define SYMBOL_GCC_RLAED7		"_Z6Rlaed7llllllPN4mpfr6mprealES1_lPlS0_lS1_S2_S2_S2_S2_S2_S1_S1_S2_S2_"
#define SYMBOL_GCC_RLAED8		"_Z6Rlaed8lPlllPN4mpfr6mprealES2_lS_S2_lS2_S2_S2_lS2_S_S_S_S2_S_S_S_"
#define SYMBOL_GCC_RLAED9		"_Z6Rlaed9llllPN4mpfr6mprealES1_lS0_S1_S1_S1_lPl"
#define SYMBOL_GCC_RLAEDA		"_Z6RlaedallllPlS_S_S_PN4mpfr6mprealES2_S_S2_S2_S_"
#define SYMBOL_GCC_RLAEIN		"_Z6RlaeinlllPN4mpfr6mprealElS0_S0_S1_S1_S1_lS1_S0_S0_S0_Pl"
#define SYMBOL_GCC_RLAEV2		"_Z6Rlaev2N4mpfr6mprealES0_S0_PS0_S1_S1_S1_"
#define SYMBOL_GCC_RLAEXC		"_Z6RlaexcllPN4mpfr6mprealElS1_llllS1_Pl"
#define SYMBOL_GCC_RLAG2		"_Z5Rlag2PN4mpfr6mprealElS1_lS0_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAGS2		"_Z6Rlags2lN4mpfr6mprealES0_S0_S0_S0_S0_PS0_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAGTF		"_Z6RlagtflPN4mpfr6mprealES0_S1_S1_S1_S1_PlS2_"
#define SYMBOL_GCC_RLAGTM		"_Z6RlagtmPKcllN4mpfr6mprealEPS2_S3_S3_S3_lS3_S3_l"
#define SYMBOL_GCC_RLAGTS		"_Z6RlagtsllPN4mpfr6mprealES1_S1_S1_PlS1_S1_S2_"
#define SYMBOL_GCC_RLAGV2		"_Z6Rlagv2PN4mpfr6mprealElS1_lS1_S1_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAHQR		"_Z6RlahqrlllllPN4mpfr6mprealElS1_S1_llS1_lPl"
#define SYMBOL_GCC_RLAHR2		"_Z6Rlahr2lllPN4mpfr6mprealElS1_S1_lS1_l"
#define SYMBOL_GCC_RLAHRD		"_Z6RlahrdlllPN4mpfr6mprealElS1_S1_lS1_l"
#define SYMBOL_GCC_RLAIC1		"_Z6Rlaic1llPN4mpfr6mprealES0_S1_S0_S1_S1_S1_"
#define SYMBOL_GCC_RLALN2		"_Z6Rlaln2lllN4mpfr6mprealES0_PS0_lS0_S0_S1_lS0_S0_S1_lS1_S1_Pl"
#define SYMBOL_GCC_RLALS0		"_Z6Rlals0lllllPN4mpfr6mprealElS1_lPllS2_lS1_lS1_S1_S1_S1_lS0_S0_S1_S2_"
#define SYMBOL_GCC_RLALSA		"_Z6RlalsallllPN4mpfr6mprealElS1_lS1_lS1_PlS1_S1_S1_S1_S2_S2_lS2_S1_S1_S1_S1_S2_S2_"
#define SYMBOL_GCC_RLALSD		"_Z6RlalsdPKclllPN4mpfr6mprealES3_S3_lS2_PlS3_S4_S4_"
#define SYMBOL_GCC_RLAMCH		"_Z11Rlamch_mpfrPKc"
#define SYMBOL_GCC_RLAMRG		"_Z6RlamrgllPN4mpfr6mprealEllPl"
#define SYMBOL_GCC_RLANEG		"_Z6RlaneglPN4mpfr6mprealES1_S0_S0_l"
#define SYMBOL_GCC_RLANGB		"_Z6RlangbPKclllPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANGE		"_Z6RlangePKcllPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANGT		"_Z6RlangtPKclPN4mpfr6mprealES3_S3_"
#define SYMBOL_GCC_RLANHS		"_Z6RlanhsPKclPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANSB		"_Z6RlansbPKcS0_llPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANSP		"_Z6RlanspPKcS0_lPN4mpfr6mprealES3_"
#define SYMBOL_GCC_RLANST		"_Z6RlanstPKclPN4mpfr6mprealES3_"
#define SYMBOL_GCC_RLANSY		"_Z6RlansyPKcS0_lPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANTB		"_Z6RlantbPKcS0_S0_llPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANTP		"_Z6RlantpPKcS0_S0_lPN4mpfr6mprealES3_"
#define SYMBOL_GCC_RLANTR		"_Z6RlantrPKcS0_S0_llPN4mpfr6mprealElS3_"
#define SYMBOL_GCC_RLANV2		"_Z6Rlanv2PN4mpfr6mprealES1_S1_S1_S1_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAPLL		"_Z6RlaplllPN4mpfr6mprealElS1_lS1_"
#define SYMBOL_GCC_RLAPMT		"_Z6RlapmtPlllPN4mpfr6mprealElS_"
#define SYMBOL_GCC_RLAPY2		"_Z6Rlapy2N4mpfr6mprealES0_"
#define SYMBOL_GCC_RLAPY3		"_Z6Rlapy3N4mpfr6mprealES0_S0_"
#define SYMBOL_GCC_RLAQGB		"_Z6RlaqgbllllPN4mpfr6mprealElS1_S1_S0_S0_S0_Pc"
#define SYMBOL_GCC_RLAQGE		"_Z6RlaqgellPN4mpfr6mprealElS1_S1_S0_S0_S0_Pc"
#define SYMBOL_GCC_RLAQP2		"_Z6Rlaqp2lllPN4mpfr6mprealElPlS1_S1_S1_S1_"
#define SYMBOL_GCC_RLAQPS		"_Z6RlaqpsllllPlPN4mpfr6mprealElS_S2_S2_S2_S2_S2_l"
#define SYMBOL_GCC_RLAQR0		"_Z6Rlaqr0lllllPN4mpfr6mprealElS1_S1_llS1_lS1_lPl"
#define SYMBOL_GCC_RLAQR1		"_Z6Rlaqr1lPN4mpfr6mprealElS0_S0_S0_S0_S1_"
#define SYMBOL_GCC_RLAQR2		"_Z6Rlaqr2llllllPN4mpfr6mprealElllS1_lPlS2_S1_S1_S1_llS1_llS1_lS1_l"
#define SYMBOL_GCC_RLAQR3		"_Z6Rlaqr3llllllPN4mpfr6mprealElllS1_lllS1_S1_S1_llS1_llS1_lS1_l"
#define SYMBOL_GCC_RLAQR4		"_Z6Rlaqr4lllllPN4mpfr6mprealElS1_S1_llS1_lS1_lPl"
#define SYMBOL_GCC_RLAQR5		"_Z6Rlaqr5lllllllPN4mpfr6mprealES1_S1_lllS1_lS1_lS1_llS1_llS1_l"
#define SYMBOL_GCC_RLAQSB		"_Z6RlaqsbPKcllPN4mpfr6mprealElS3_S2_S2_Pc"
#define SYMBOL_GCC_RLAQSP		"_Z6RlaqspPKclPN4mpfr6mprealES3_S2_S2_Pc"
#define SYMBOL_GCC_RLAQSY		"_Z6RlaqsyPKclPN4mpfr6mprealElS3_S2_S2_Pc"
#define SYMBOL_GCC_RLAQTR		"_Z6RlaqtrlllPN4mpfr6mprealElS1_S0_S1_S1_S1_Pl"
#define SYMBOL_GCC_RLAR1V		"_Z6Rlar1vlllN4mpfr6mprealEPS0_S1_S1_S1_S0_S0_S1_lPlS1_S1_S2_S2_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAR2V		"_Z6Rlar2vlPN4mpfr6mprealES1_S1_lS1_S1_l"
#define SYMBOL_GCC_RLARF		"_Z5RlarfPKcllPN4mpfr6mprealElS2_S3_lS3_"
#define SYMBOL_GCC_RLARFB		"_Z6RlarfbPKcS0_S0_S0_lllPN4mpfr6mprealElS3_lS3_lS3_l"
#define SYMBOL_GCC_RLARFG		"_Z6RlarfglPN4mpfr6mprealES1_lS1_"
#define SYMBOL_GCC_RLARFT		"_Z6RlarftPKcS0_llPN4mpfr6mprealElS3_S3_l"
#define SYMBOL_GCC_RLARFX		"_Z6RlarfxPKcllPN4mpfr6mprealES2_S3_lS3_"
#define SYMBOL_GCC_RLARGV		"_Z6RlargvlPN4mpfr6mprealElS1_lS1_l"
#define SYMBOL_GCC_RLARNV		"_Z6RlarnvlPllPN4mpfr6mprealE"
#define SYMBOL_GCC_RLARRA		"_Z6RlarralPN4mpfr6mprealES1_S1_S0_S0_PlS2_S2_"
#define SYMBOL_GCC_RLARRB		"_Z6RlarrblPN4mpfr6mprealES1_llS0_S0_lS1_S1_S1_S1_PlS0_S0_lS2_"
#define SYMBOL_GCC_RLARRC		"_Z6RlarrcPKclN4mpfr6mprealES2_PS2_S3_S2_PlS4_S4_S4_"
#define SYMBOL_GCC_RLARRD		"_Z6RlarrdPKcS0_lN4mpfr6mprealES2_llPS2_S2_S3_S3_S3_S2_lPlS4_S3_S3_S3_S3_S4_S4_S3_S4_S4_"
#define SYMBOL_GCC_RLARRE		"_Z6RlarrePKclPN4mpfr6mprealES3_llS3_S3_S3_S2_S2_S2_PlS4_S4_S3_S3_S3_S4_S4_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RLARRF		"_Z6RlarrflPN4mpfr6mprealES1_S1_llS1_S1_S1_S0_S0_S0_S0_S1_S1_S1_S1_Pl"
#define SYMBOL_GCC_RLARRJ		"_Z6RlarrjlPN4mpfr6mprealES1_llS0_lS1_S1_S1_PlS0_S0_S2_"
#define SYMBOL_GCC_RLARRK		"_Z6RlarrkllN4mpfr6mprealES0_PS0_S1_S0_S0_S1_S1_Pl"
#define SYMBOL_GCC_RLARRR		"_Z6RlarrrlPN4mpfr6mprealES1_Pl"
#define SYMBOL_GCC_RLARRV		"_Z6RlarrvlN4mpfr6mprealES0_PS0_S1_S0_PllllS0_S0_S0_S1_S1_S1_S2_S2_S1_S1_lS2_S1_S2_S2_"
#define SYMBOL_GCC_RLARTG		"_Z6RlartgN4mpfr6mprealES0_PS0_S1_S1_"
#define SYMBOL_GCC_RLARTV		"_Z6RlartvlPN4mpfr6mprealElS1_lS1_S1_l"
#define SYMBOL_GCC_RLARUV		"_Z6RlaruvPllPN4mpfr6mprealE"
#define SYMBOL_GCC_RLARZ		"_Z5RlarzPKclllPN4mpfr6mprealElS2_S3_lS3_"
#define SYMBOL_GCC_RLARZB		"_Z6RlarzbPKcS0_S0_S0_llllPN4mpfr6mprealElS3_lS3_lS3_l"
#define SYMBOL_GCC_RLARZT		"_Z6RlarztPKcS0_llPN4mpfr6mprealElS3_S3_l"
#define SYMBOL_GCC_RLAS2		"_Z5Rlas2N4mpfr6mprealES0_S0_PS0_S1_"
#define SYMBOL_GCC_RLASCL		"_Z6RlasclPKcllN4mpfr6mprealES2_llPS2_lPl"
#define SYMBOL_GCC_RLASD0		"_Z6Rlasd0llPN4mpfr6mprealES1_S1_lS1_llPlS1_S2_"
#define SYMBOL_GCC_RLASD1		"_Z6Rlasd1llPlPN4mpfr6mprealES2_S2_S2_lS2_lS_S_S2_S_"
#define SYMBOL_GCC_RLASD2		"_Z6Rlasd2lllPlPN4mpfr6mprealES2_S1_S1_S2_lS2_lS2_S2_lS2_lS_S_S_S_S_S_"
#define SYMBOL_GCC_RLASD3		"_Z6Rlasd3llllPN4mpfr6mprealES1_lS1_S1_lS1_lS1_lS1_lPlS2_S1_S2_"
#define SYMBOL_GCC_RLASD4		"_Z6Rlasd4llPN4mpfr6mprealES1_S1_S0_S1_S1_Pl"
#define SYMBOL_GCC_RLASD5		"_Z6Rlasd5lPN4mpfr6mprealES1_S1_S0_S1_S1_"
#define SYMBOL_GCC_RLASD6		"_Z6Rlasd6llllPN4mpfr6mprealES1_S1_S1_S1_PlS2_S2_S2_lS1_lS1_S1_S1_S1_lS1_S1_S1_S2_S2_"
#define SYMBOL_GCC_RLASD7		"_Z6Rlasd7lllllPN4mpfr6mprealES1_S1_S1_S1_S1_S1_S0_S0_S1_PlS2_S2_S2_S2_S2_lS1_lS1_S1_S2_"
#define SYMBOL_GCC_RLASD8		"_Z6Rlasd8llPN4mpfr6mprealES1_S1_S1_S1_S1_lS1_S1_Pl"
#define SYMBOL_GCC_RLASDA		"_Z6RlasdallllPN4mpfr6mprealES1_S1_lS1_PlS1_S1_S1_S1_S2_S2_lS2_S1_S1_S1_S1_S2_S2_"
#define SYMBOL_GCC_RLASDQ		"_Z6RlasdqPKclllllPN4mpfr6mprealES3_S3_lS3_lS3_lS3_Pl"
#define SYMBOL_GCC_RLASDT		"_Z6RlasdtlllPlS_S_l"
#define SYMBOL_GCC_RLASET		"_Z6RlasetPKcllN4mpfr6mprealES2_PS2_l"
#define SYMBOL_GCC_RLASQ1		"_Z6Rlasq1lPN4mpfr6mprealES1_S1_Pl"
#define SYMBOL_GCC_RLASQ2		"_Z6Rlasq2lPN4mpfr6mprealEPl"
#define SYMBOL_GCC_RLASQ3		"_Z6Rlasq3llPN4mpfr6mprealElS1_S1_S1_S0_PlS2_S2_l"
#define SYMBOL_GCC_RLASQ4		"_Z6Rlasq4llPN4mpfr6mprealEllS0_S0_S0_S0_S0_S0_S1_Pl"
#define SYMBOL_GCC_RLASQ5		"_Z6Rlasq5llPN4mpfr6mprealElS0_S1_S1_S1_S1_S1_S1_l"
#define SYMBOL_GCC_RLASQ6		"_Z6Rlasq6llPN4mpfr6mprealElS1_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLASR		"_Z5RlasrPKcS0_S0_llPN4mpfr6mprealES3_S3_l"
#define SYMBOL_GCC_RLASRT		"_Z6RlasrtPKclPN4mpfr6mprealEPl"
#define SYMBOL_GCC_RLASSQ		"_Z6RlassqlPN4mpfr6mprealElS1_S1_"
#define SYMBOL_GCC_RLASV2		"_Z6Rlasv2N4mpfr6mprealES0_S0_PS0_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLASWP		"_Z6RlaswplPN4mpfr6mprealElllPll"
#define SYMBOL_GCC_RLASY2		"_Z6Rlasy2lllllPN4mpfr6mprealElS1_lS1_lS1_S1_lS1_Pl"
#define SYMBOL_GCC_RLASYF		"_Z6RlasyfPKclllPN4mpfr6mprealElPlS3_lS4_"
#define SYMBOL_GCC_RLATBS		"_Z6RlatbsPKcS0_S0_S0_llPN4mpfr6mprealElS3_S3_S3_Pl"
#define SYMBOL_GCC_RLATDF		"_Z6RlatdfllPN4mpfr6mprealElS1_S1_S1_PlS2_"
#define SYMBOL_GCC_RLATPS		"_Z6RlatpsPKcS0_S0_S0_lPN4mpfr6mprealES3_S3_S3_Pl"
#define SYMBOL_GCC_RLATRD		"_Z6RlatrdPKcllPN4mpfr6mprealElS3_S3_S3_l"
#define SYMBOL_GCC_RLATRS		"_Z6RlatrsPKcS0_S0_S0_lPN4mpfr6mprealElS3_S3_S3_Pl"
#define SYMBOL_GCC_RLATRZ		"_Z6RlatrzlllPN4mpfr6mprealElS1_S1_"
#define SYMBOL_GCC_RLATZM		"_Z6RlatzmPKcllPN4mpfr6mprealElS3_S3_S3_lS3_"
#define SYMBOL_GCC_RLAUU2		"_Z6Rlauu2PKclPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RLAUUM		"_Z6RlauumPKclPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RLAZQ3		"_Z6Rlazq3llPN4mpfr6mprealElS1_S1_S1_S0_PlS2_S2_S2_S2_S1_S1_S1_S1_S1_S1_"
#define SYMBOL_GCC_RLAZQ4		"_Z6Rlazq4llPN4mpfr6mprealEllS0_S0_S0_S0_S0_S0_S1_PlS1_"
#define SYMBOL_GCC_ROPGTR		"_Z6RopgtrPKclPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_ROPMTR		"_Z6RopmtrPKcS0_S0_llPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_RORG2L		"_Z6Rorg2llllPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RORG2R		"_Z6Rorg2rlllPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RORGBR		"_Z6RorgbrPKclllPN4mpfr6mprealElS3_S3_lPl"
#define SYMBOL_GCC_RORGHR		"_Z6RorghrlllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RORGL2		"_Z6Rorgl2lllPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RORGLQ		"_Z6RorglqlllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RORGQL		"_Z6RorgqllllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RORGQR		"_Z6RorgqrlllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RORGR2		"_Z6Rorgr2lllPN4mpfr6mprealElS1_S1_Pl"
#define SYMBOL_GCC_RORGRQ		"_Z6RorgrqlllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_RORGTR		"_Z6RorgtrPKclPN4mpfr6mprealElS3_S3_lPl"
#define SYMBOL_GCC_RORM2L		"_Z6Rorm2lPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RORM2R		"_Z6Rorm2rPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RORMBR		"_Z6RormbrPKcS0_S0_lllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMHR		"_Z6RormhrPKcS0_llllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORML2		"_Z6Rorml2PKcS0_lllPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RORMLQ		"_Z6RormlqPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMQL		"_Z6RormqlPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMQR		"_Z6RormqrPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMR2		"_Z6Rormr2PKcS0_lllPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RORMR3		"_Z6Rormr3PKcS0_llllPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RORMRQ		"_Z6RormrqPKcS0_lllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMRZ		"_Z6RormrzPKcS0_llllPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RORMTR		"_Z6RormtrPKcS0_S0_llPN4mpfr6mprealElS3_S3_lS3_lPl"
#define SYMBOL_GCC_RPBCON		"_Z6RpbconPKcllPN4mpfr6mprealElS2_S3_S3_PlS4_"
#define SYMBOL_GCC_RPBEQU		"_Z6RpbequPKcllPN4mpfr6mprealElS3_S3_S3_Pl"
#define SYMBOL_GCC_RPBRFS		"_Z6RpbrfsPKclllPN4mpfr6mprealElS3_lS3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RPBSTF		"_Z6RpbstfPKcllPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPBSV		"_Z5RpbsvPKclllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RPBSVX		"_Z6RpbsvxPKcS0_lllPN4mpfr6mprealElS3_lPcS3_S3_lS3_lS3_S3_S3_S3_PlS5_"
#define SYMBOL_GCC_RPBTF2		"_Z6Rpbtf2PKcllPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPBTRF		"_Z6RpbtrfPKcllPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPBTRS		"_Z6RpbtrsPKclllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RPOCON		"_Z6RpoconPKclPN4mpfr6mprealElS2_S3_S3_PlS4_"
#define SYMBOL_GCC_RPOEQU		"_Z6RpoequlPN4mpfr6mprealElS1_S1_S1_Pl"
#define SYMBOL_GCC_RPORFS		"_Z6RporfsPKcllPN4mpfr6mprealElS3_lS3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RPOSV		"_Z5RposvPKcllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RPOSVX		"_Z6RposvxPKcS0_llPN4mpfr6mprealElS3_lPcS3_S3_lS3_lS3_S3_S3_S3_PlS5_"
#define SYMBOL_GCC_RPOTF2		"_Z6Rpotf2PKclPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPOTRF		"_Z6RpotrfPKclPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPOTRI		"_Z6RpotriPKclPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RPOTRS		"_Z6RpotrsPKcllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RPPCON		"_Z6RppconPKclPN4mpfr6mprealES2_S3_S3_PlS4_"
#define SYMBOL_GCC_RPPEQU		"_Z6RppequPKclPN4mpfr6mprealES3_S3_S3_Pl"
#define SYMBOL_GCC_RPPRFS		"_Z6RpprfsPKcllPN4mpfr6mprealES3_S3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RPPSV		"_Z5RppsvPKcllPN4mpfr6mprealES3_lPl"
#define SYMBOL_GCC_RPPSVX		"_Z6RppsvxPKcS0_llPN4mpfr6mprealES3_PcS3_S3_lS3_lS3_S3_S3_S3_PlS5_"
#define SYMBOL_GCC_RPPTRF		"_Z6RpptrfPKclPN4mpfr6mprealEPl"
#define SYMBOL_GCC_RPPTRI		"_Z6RpptriPKclPN4mpfr6mprealEPl"
#define SYMBOL_GCC_RPPTRS		"_Z6RpptrsPKcllPN4mpfr6mprealES3_lPl"
#define SYMBOL_GCC_RPTCON		"_Z6RptconlPN4mpfr6mprealES1_S0_S1_S1_Pl"
#define SYMBOL_GCC_RPTEQR		"_Z6RpteqrPKclPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_RPTRFS		"_Z6RptrfsllPN4mpfr6mprealES1_S1_S1_S1_lS1_lS1_S1_S1_Pl"
#define SYMBOL_GCC_RPTSV		"_Z5RptsvllPN4mpfr6mprealES1_S1_lPl"
#define SYMBOL_GCC_RPTSVX		"_Z6RptsvxPKcllPN4mpfr6mprealES3_S3_S3_S3_lS3_lS3_S3_S3_S3_Pl"
#define SYMBOL_GCC_RPTTRF		"_Z6RpttrflPN4mpfr6mprealES1_Pl"
#define SYMBOL_GCC_RPTTRS		"_Z6RpttrsllPN4mpfr6mprealES1_S1_lPl"
#define SYMBOL_GCC_RPTTS2		"_Z6Rptts2llPN4mpfr6mprealES1_S1_l"
#define SYMBOL_GCC_RRSCL		"_Z5RrscllN4mpfr6mprealEPS0_l"
#define SYMBOL_GCC_RSBEV		"_Z5RsbevPKcS0_llPN4mpfr6mprealElS3_S3_lS3_Pl"
#define SYMBOL_GCC_RSBEVD		"_Z6RsbevdPKcS0_llPN4mpfr6mprealElS3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSBEVX		"_Z6RsbevxPKcS0_S0_llPN4mpfr6mprealElS3_lS2_S2_llS2_PlS3_S3_lS3_S4_S4_S4_"
#define SYMBOL_GCC_RSBGST		"_Z6RsbgstPKcS0_lllPN4mpfr6mprealElS3_lS3_lS3_Pl"
#define SYMBOL_GCC_RSBGV		"_Z5RsbgvPKcS0_lllPN4mpfr6mprealElS3_lS3_S3_lS3_Pl"
#define SYMBOL_GCC_RSBGVD		"_Z6RsbgvdPKcS0_lllPN4mpfr6mprealElS3_lS3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSBGVX		"_Z6RsbgvxPKcS0_S0_lllPN4mpfr6mprealElS3_lS3_lS2_S2_llS2_PlS3_S3_lS3_S4_S4_S4_"
#define SYMBOL_GCC_RSBTRD		"_Z6RsbtrdPKcS0_llPN4mpfr6mprealElS3_S3_S3_lS3_Pl"
#define SYMBOL_GCC_RSPCON		"_Z6RspconPKclPN4mpfr6mprealEPlS2_S3_S3_S4_S4_"
#define SYMBOL_GCC_RSPEV		"_Z5RspevPKcS0_lPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_RSPEVD		"_Z6RspevdPKcS0_lPN4mpfr6mprealES3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSPEVX		"_Z6RspevxPKcS0_S0_lPN4mpfr6mprealES2_S2_llS2_PlS3_S3_lS3_S4_S4_S4_"
#define SYMBOL_GCC_RSPGST		"_Z6RspgstlPKclPN4mpfr6mprealES3_Pl"
#define SYMBOL_GCC_RSPGV		"_Z5RspgvlPKcS0_lPN4mpfr6mprealES3_S3_S3_lS3_Pl"
#define SYMBOL_GCC_RSPGVD		"_Z6RspgvdlPKcS0_lPN4mpfr6mprealES3_S3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSPGVX		"_Z6RspgvxlPKcS0_S0_lPN4mpfr6mprealES3_S2_S2_llS2_lS3_S3_lS3_PlS4_S4_"
#define SYMBOL_GCC_RSPRFS		"_Z6RsprfsPKcllPN4mpfr6mprealES3_PlS3_lS3_lS3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RSPSV		"_Z5RspsvPKcllPN4mpfr6mprealEPlS3_lS4_"
#define SYMBOL_GCC_RSPSVX		"_Z6RspsvxPKcS0_llPN4mpfr6mprealES3_PlS3_lS3_lS3_S3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RSPTRD		"_Z6RsptrdPKclPN4mpfr6mprealES3_S3_S3_Pl"
#define SYMBOL_GCC_RSPTRF		"_Z6RsptrfPKclPN4mpfr6mprealEPlS4_"
#define SYMBOL_GCC_RSPTRI		"_Z6RsptriPKclPN4mpfr6mprealEPlS3_S4_"
#define SYMBOL_GCC_RSPTRS		"_Z6RsptrsPKcllPN4mpfr6mprealEPlS3_lS4_"
#define SYMBOL_GCC_RSTEBZ		"_Z6RstebzPKcS0_lN4mpfr6mprealES2_llS2_PS2_S3_PlS4_S3_S4_S4_S3_S4_S4_"
#define SYMBOL_GCC_RSTEDC		"_Z6RstedcPKclPN4mpfr6mprealES3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSTEGR		"_Z6RstegrPKcS0_lPN4mpfr6mprealES3_S2_S2_llS2_PlS3_S3_lS4_S3_lS4_lS4_"
#define SYMBOL_GCC_RSTEIN		"_Z6RsteinlPN4mpfr6mprealES1_lS1_PlS2_S1_lS1_S2_S2_S2_"
#define SYMBOL_GCC_RSTEMR		"_Z6RstemrPKcS0_lPN4mpfr6mprealES3_S2_S2_llPlS3_S3_llS4_S4_S3_lS4_lS4_"
#define SYMBOL_GCC_RSTEQR		"_Z6RsteqrPKclPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_RSTERF		"_Z6RsterflPN4mpfr6mprealES1_Pl"
#define SYMBOL_GCC_RSTEV		"_Z5RstevPKclPN4mpfr6mprealES3_S3_lS3_Pl"
#define SYMBOL_GCC_RSTEVD		"_Z6RstevdPKclPN4mpfr6mprealES3_S3_lS3_lPllS4_"
#define SYMBOL_GCC_RSTEVR		"_Z6RstevrPKcS0_lPN4mpfr6mprealES3_S2_S2_llS2_PlS3_S3_lS4_S3_lS4_lS4_"
#define SYMBOL_GCC_RSTEVX		"_Z6RstevxPKcS0_lPN4mpfr6mprealES3_S2_S2_llS2_PlS3_S3_lS3_S4_S4_S4_"
#define SYMBOL_GCC_RSYCON		"_Z6RsyconPKclPN4mpfr6mprealElPlS2_S3_S3_S4_S4_"
#define SYMBOL_GCC_RSYEV		"_Z5RsyevPKcS0_lPN4mpfr6mprealElS3_S3_lPl"
#define SYMBOL_GCC_RSYEVD		"_Z6RsyevdPKcS0_lPN4mpfr6mprealElS3_S3_lPllS4_"
#define SYMBOL_GCC_RSYEVR		"_Z6RsyevrPKcS0_S0_lPN4mpfr6mprealElS2_S2_llS2_PlS3_S3_lS4_S3_lS4_lS4_"
#define SYMBOL_GCC_RSYEVX		"_Z6RsyevxPKcS0_S0_lPN4mpfr6mprealElS2_S2_llS2_PlS3_S3_lS3_lS4_S4_S4_"
#define SYMBOL_GCC_RSYGS2		"_Z6Rsygs2lPKclPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RSYGST		"_Z6RsygstlPKclPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RSYGV		"_Z5RsygvlPKcS0_lPN4mpfr6mprealElS3_lS3_S3_lPl"
#define SYMBOL_GCC_RSYGVD		"_Z6RsygvdlPKcS0_lPN4mpfr6mprealElS3_lS3_S3_lPllS4_"
#define SYMBOL_GCC_RSYGVX		"_Z6RsygvxlPKcS0_S0_lPN4mpfr6mprealElS3_lS2_S2_llS2_PlS3_S3_lS3_lS4_S4_S4_"
#define SYMBOL_GCC_RSYRFS		"_Z6RsyrfsPKcllPN4mpfr6mprealElS3_lPlS3_lS3_lS3_S3_S3_S4_S4_"
#define SYMBOL_GCC_RSYSV		"_Z5RsysvPKcllPN4mpfr6mprealElPlS3_lS3_lS4_"
#define SYMBOL_GCC_RSYSVX		"_Z6RsysvxPKcS0_llPN4mpfr6mprealElS3_lPlS3_lS3_lS3_S3_S3_S3_lS4_S4_"
#define SYMBOL_GCC_RSYTD2		"_Z6Rsytd2PKclPN4mpfr6mprealElS3_S3_S3_Pl"
#define SYMBOL_GCC_RSYTF2		"_Z6Rsytf2PKclPN4mpfr6mprealElPlS4_"
#define SYMBOL_GCC_RSYTRD		"_Z6RsytrdPKclPN4mpfr6mprealElS3_S3_S3_S3_lPl"
#define SYMBOL_GCC_RSYTRF		"_Z6RsytrfPKclPN4mpfr6mprealElPlS3_lS4_"
#define SYMBOL_GCC_RSYTRI		"_Z6RsytriPKclPN4mpfr6mprealElPlS3_S4_"
#define SYMBOL_GCC_RSYTRS		"_Z6RsytrsPKcllPN4mpfr6mprealElPlS3_lS4_"
#define SYMBOL_GCC_RTBCON		"_Z6RtbconPKcS0_S0_llPN4mpfr6mprealElS3_S3_PlS4_"
#define SYMBOL_GCC_RTBRFS		"_Z6RtbrfsPKcS0_S0_lllPN4mpfr6mprealElS3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RTBTRS		"_Z6RtbtrsPKcS0_S0_lllPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RTGEVC		"_Z6RtgevcPKcS0_PllPN4mpfr6mprealElS4_lS4_lS4_llS1_S4_S1_"
#define SYMBOL_GCC_RTGEX2		"_Z6Rtgex2lllPN4mpfr6mprealElS1_lS1_lS1_llllS1_lPl"
#define SYMBOL_GCC_RTGEXC		"_Z6RtgexclllPN4mpfr6mprealElS1_lS1_lS1_lPlS2_S1_lS2_"
#define SYMBOL_GCC_RTGSEN		"_Z6RtgsenlllPllPN4mpfr6mprealElS2_lS2_S2_S2_S2_lS2_lS_S2_S2_S2_S2_lS_lS_"
#define SYMBOL_GCC_RTGSJA		"_Z6RtgsjaPKcS0_S0_lllllPN4mpfr6mprealElS3_lS2_S2_S3_S3_S3_lS3_lS3_lS3_lPl"
#define SYMBOL_GCC_RTGSNA		"_Z6RtgsnaPKcS0_PllPN4mpfr6mprealElS4_lS4_lS4_lS4_S4_lS1_S4_lS1_S1_"
#define SYMBOL_GCC_RTGSY2		"_Z6Rtgsy2PKclllPN4mpfr6mprealElS3_lS3_lS3_lS3_lS3_lS3_S3_S3_PlS4_S4_"
#define SYMBOL_GCC_RTGSYL		"_Z6RtgsylPKclllPN4mpfr6mprealElS3_lS3_lS3_lS3_lS3_lS3_S3_S3_lPlS4_"
#define SYMBOL_GCC_RTPCON		"_Z6RtpconPKcS0_S0_lPN4mpfr6mprealES3_S3_PlS4_"
#define SYMBOL_GCC_RTPRFS		"_Z6RtprfsPKcS0_S0_llPN4mpfr6mprealES3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RTPTRI		"_Z6RtptriPKcS0_lPN4mpfr6mprealEPl"
#define SYMBOL_GCC_RTPTRS		"_Z6RtptrsPKcS0_S0_llPN4mpfr6mprealES3_lPl"
#define SYMBOL_GCC_RTRCON		"_Z6RtrconPKcS0_S0_lPN4mpfr6mprealElS3_S3_PlS4_"
#define SYMBOL_GCC_RTREVC		"_Z6RtrevcPKcS0_PllPN4mpfr6mprealElS4_lS4_llS1_S4_S1_"
#define SYMBOL_GCC_RTREXC		"_Z6RtrexcPKclPN4mpfr6mprealElS3_lPlS4_S3_S4_"
#define SYMBOL_GCC_RTRRFS		"_Z6RtrrfsPKcS0_S0_llPN4mpfr6mprealElS3_lS3_lS3_S3_S3_PlS4_"
#define SYMBOL_GCC_RTRSEN		"_Z6RtrsenPKcS0_PllPN4mpfr6mprealElS4_lS4_S4_lS4_S4_S4_lS1_lS1_"
#define SYMBOL_GCC_RTRSNA		"_Z6RtrsnaPKcS0_PllPN4mpfr6mprealElS4_lS4_lS4_S4_lS1_S4_lS1_S1_"
#define SYMBOL_GCC_RTRSYL		"_Z6RtrsylPKcS0_lllPN4mpfr6mprealElS3_lS3_lS3_Pl"
#define SYMBOL_GCC_RTRTI2		"_Z6Rtrti2PKcS0_lPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RTRTRI		"_Z6RtrtriPKcS0_lPN4mpfr6mprealElPl"
#define SYMBOL_GCC_RTRTRS		"_Z6RtrtrsPKcS0_S0_llPN4mpfr6mprealElS3_lPl"
#define SYMBOL_GCC_RTZRQF		"_Z6RtzrqfllPN4mpfr6mprealElS1_Pl"
#define SYMBOL_GCC_RTZRZF		"_Z6RtzrzfllPN4mpfr6mprealElS1_S1_lPl"
#define SYMBOL_GCC_ICMAX1		"_Z6iCmax1lPN4mpfr9mpcomplexEl"
